> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balances for Workspace Accounts

> Returns current balances for all accounts stored in the workspace.



## OpenAPI

````yaml /api-reference/data-api.json get /v2/addresses/workspace/balances
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/addresses/workspace/balances:
    get:
      tags:
        - Address Information
      summary: Get Balances for Workspace Accounts
      description: Returns current balances for all accounts stored in the workspace.
      operationId: getWorkspaceBalances
      parameters: []
      responses:
        '200':
          description: Balances for each account in the workspace.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressListBalancesResponseDto'
components:
  schemas:
    AddressListBalancesResponseDto:
      type: object
      properties:
        balances:
          type: array
          items:
            $ref: '#/components/schemas/AddressBalanceDto'
      required:
        - balances
    AddressBalanceDto:
      type: object
      properties:
        address:
          type: string
          example: cosmos1abc...
        network:
          type: string
          example: cosmoshub-4
        assets:
          type: array
          items:
            $ref: '#/components/schemas/AssetBalanceDto'
      required:
        - address
        - network
        - assets
    AssetBalanceDto:
      type: object
      properties:
        symbol:
          type: string
          example: uatom
          description: Asset symbol / denom
        amount:
          type: number
          example: 1000000
          description: Available balance (raw units)
        usd:
          type: number
          example: 12.5
          description: USD value
      required:
        - symbol
        - amount
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````